/// <reference types="node" />
import { StrictSecurity } from './types';
import type { FastifyInstance } from 'fastify';
export { StrictBasicAuthSecurity, StrictApiKeySecurity } from './types';
interface FastifyAutosecurityOptions {
    dir?: string;
    overrides?: Record<string, (server: FastifyInstance) => StrictSecurity<any>>;
}
interface PassedSecurity {
    passed: number[];
    values: Record<string, any>;
}
interface RequestContext {
    schema?: {
        security?: Array<Record<string, string[]>>;
    };
}
declare module 'fastify' {
    interface FastifyRequest {
        security?: PassedSecurity;
        context: RequestContext;
    }
    interface FastifySchema {
        security?: Array<Record<string, string[]>>;
    }
}
declare const _default: import("fastify").FastifyPluginCallback<FastifyAutosecurityOptions, import("http").Server>;
export default _default;
export * from './types';
//# sourceMappingURL=index.d.ts.map